(*
This package may be distributed freely, but is copyright
by Lafayette College, 1994.


*)
BeginPackage["LogAlgebra`"]

logquot::usage = "logquot is a replacement rule that
converts the difference of two natural logarithms to
the natural logarithm of the quotient."

logprod::usage = "logprod is a replacement rule that
converts the sum of two natural logarithms to
the natural logarithm of the product."

logexp::usage = "logexp is a replacement rule that
converts a multiple of the natural logarithm to
the natural logarithm of the power."

explog::usage = "explog is a replacement rule that
removes natural logarithm from exponents of E."

Begin["`Private`"]

logquot = {a__ Log[b__] - a__ Log[c__] -> a Log[b/c],
           Log[a__] - Log[b__] -> Log[a/b]}

logprod = a___ Log[b__] + a___ Log[c__] -> a Log[b c]

logexp = a__ Log[b__] -> Log[b^a]

explog = {E^(a__ + b__ Log[c__]) -> E^a c^b,
          E^(a__ + Log[c__]) -> E^a c}

End[ ]

EndPackage[ ]
